<div class="alert alert-danger" id="msg-formAlasan">
   &{'paket.alasan_wajib_isi'}
</div>

#{form @nonlelang.PaketPlCtr.submit_panitia(paket.pkt_id), id:'form-ppk'}
    <input type="hidden" name="pntId" value="${newPanitia.pnt_id}">
    <input type="hidden" name="old_pnt_id" value="${oldPanitia.pnt_id}">
    <table class="table table-sm">
        <tr>
            <th width="80px" class="bgwarning">Nama Pokja Pemilihan Lama </th>
            <td width="100px">
                ${oldPanitia.pnt_nama}
            </td>
        </tr>
        <tr>
            <th width="80px" class="bgwarning">Nama Pokja Pemilihan Baru </th>
            <td width="100px">
                ${newPanitia.pnt_nama}
            </td>
        </tr>
        <tr>
            <th width="80px" class="bgwarning">Alasan <span class="warning">*</span></th>
            <td width="100px">
                <textarea name="alasan" class="form-control" placeholder="&{'paket.placeholder_alasan'}"></textarea>
            </td>
        </tr>
    </table>
<button type="submit" class="btn btn-success  simpan"> <i class="fa fa-save"></i> Simpan</button>
#{/form}

<script type="text/javascript">
    $(document).ready(function(){
        $("#msg-formAlasan").hide();
    });

    $(".simpan").click(function (e) {
        return validate();
    });

    function validate(){
        var alasanGanti = $("textarea[name=\"alasan\"]").val();

        if (alasanGanti == null || alasanGanti == "") {
            $("#msg-formAlasan").show();
            return false;
        }

        $("#msg-formAlasan").hide();
        return true;

    }

</script>
